%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           Zim
Version:        0.48
Release:        1%{?dist}
Summary:        Desktop wiki & notekeeper

Group:          Applications/Editors
# The entire source code is GPLv2+ except ./zim/_lib/xdot.py which is LGPLv3+
License:        GPLv2+ and LGPLv3+
URL:            http://zim-wiki.org/
Source0:        http://www.zim-wiki.org/downloads/zim-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  python2-devel >= 2.5
BuildRequires:  pygobject2

Requires:       pygtk2, pyxdg

%description
Zim is a WYSIWYG text editor written in PyGTK which aims to bring the
concept of a wiki to your desktop. Every page is saved as a text file with
wiki markup. Pages can contain links to other pages, and are saved
automatically. Creating a new page is as easy as linking to a non-existing
page. Pages are ordered in a hierarchical structure that gives it the look
and feel of an outliner. This tool is intended to keep track of TODO lists
or to serve as a personal scratch book.

%prep
%setup -q -n zim-%{version}

%build


%install
rm -rf %{buildroot}
./setup.py build
./setup.py install --root=%{buildroot} --skip-xdg-cmd --skip-build

desktop-file-install --delete-original \
    --dir=%{buildroot}%{_datadir}/applications \
     %{buildroot}%{_datadir}/applications/zim.desktop

# remove shebangs in some module files
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelib}/zim/_lib/xdot.py \
                        %{buildroot}%{python_sitelib}/zim/_version.py

%find_lang zim

%check

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime/ &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime/ &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f zim.lang
%defattr(-,root,root,-)
%doc LICENSE.txt CHANGELOG.txt README.txt contrib/
%{_mandir}/man[13]/*.[13]*
%{_bindir}/*
%{_datadir}/zim/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/zim.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/mimetypes/*
%{python_sitelib}/zim-*.egg-info
%{python_sitelib}/zim/

%changelog
* Sat Aug 28 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.48-1
- update to 0.48
- include more icons

* Sat Jul 31 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.47-2
- Rebuild for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jun 14 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.47-1
- update to 0.47, upstream reimplementation with PyGTK
- remove vendor from the desktop entry file name
- License changed to 'GPLv2+ and LGPLv3+'
- remove BuildRoot tag
- clean some whitespaces

* Wed Jun 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.29-2
- Mass rebuild with perl-5.12.0

* Tue Feb 09 2010 Chris Weyl <cweyl@alumni.drew.edu>
- update to 0.29
- add perl_default_filter

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.28-3
- rebuild against perl 5.10.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 16 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.28-1
- update to 0.28

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 21 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.27-1
- update to 0.27

* Thu Sep 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.26-1
- update to 0.26

* Tue Aug 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.25-2
- drop tests entirely for the moment.

* Sun Aug 03 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.25-1
- update to 0.25
- note we nuke t/71_gui_daemon.t -- it fails under perl 5.10; per
  upstream it's '...not a problem during normal usage of the program.'

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.23-2
Rebuild for new perl

* Thu Nov 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.23-1
- update to 0.23

* Wed Oct 03 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- update to 0.21
- add contrib/, TRepository.PL to doc
- update license tag: GPL -> GPL+
- add a requires on scrot, for the InsertScreenshot plugin

* Wed May 30 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.19-2
- add a require on Gtk2::TrayIcon; not picked up automatically
- some BR refactoring given perl splittage

* Thu Mar 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- and hot on the heels of 0.18 is 0.19! :)

* Sat Mar 17 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.18-1
- update to 0.18
- fix homepage/download links
- drop dep on shared-mime-info as bz#215972 has been resolved

* Tue Nov 21 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-3
- bump

* Thu Nov 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-2
- add requires on shared-mime-info

* Wed Nov 15 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- initial packaging.
